Bug 100585 - Ordering of sheets with different direction changes when switching between them (RTL UI, not with GTK3)
Summary: Ordering of sheets with different direction changes when switching between th...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: RTL-CTL Sheet-Tabs-Bar
  Show dependency treegraph
 
Reported: 2016-06-24 11:25 UTC by safa alfulaij
Modified: 2019-07-12 02:51 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Before tab ordering change (6.69 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-07-08 03:55 UTC, safa alfulaij
Details
After tab ordering change (6.70 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-07-08 03:55 UTC, safa alfulaij
Details

Note You need to log in before you can comment on or make changes to this bug.
Description safa alfulaij 2016-06-24 11:25:43 UTC
If a document have different sheets with different directions, and you switched from a sheet to another, order of tabs will change badly.

How to reproduce:
1. Open a new LO Calc document.
2. Make sure that Sheet1 is LTR.
3. Add new sheet (Sheet2).
4. Make it's direction as RTL.
5. Add new sheet (Sheet3).
6. Select sheet2 and notice tab ordering.
7. Select sheet1 and notice tab ordering.
8. Select sheet2 again and notice tab ordering.

Ordered screenshot of steps: http://imgur.com/a/7p77o
Comment 1 Buovjaga 2016-06-26 13:25:15 UTC
So you get 2 - 3 - 1 and 2 - 1 - 3 at some point.
I don't get that result.
I wonder, if it is locale dependent?

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: ff25ea3d5ccf3a990767cbb1ef99037d3f84b072
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on June 26th 2016

64-bit, KDE Plasma 5
Build ID: 5.1.4.2 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 2 Joel Madero 2016-07-04 05:20:51 UTC
Version: 5.3.0.0.alpha0+
Build ID: c89294233b6a9ffc1bd75e6e9226ad723b7d5538
CPU Threads: 2; OS Version: Linux 3.16; UI Render: default; 
Locale: en-US (en_US.UTF-8)


No repro.
Comment 3 Joel Madero 2016-07-06 06:13:03 UTC
Hi Safa -

Usually when we can't reproduce with multiple QA members we close the bug as WFM because we're pretty confident it's an environment issue. For now I'm putting to NEEDINFO - if you could provide:

1) Your operating system;
2) A sample file with the tabs correct and then another save of the same document with the tabs messed up;
3) Your locale.

Once you provide these please set the bug to UNCONFIRMED.


Thanks!
Comment 4 safa alfulaij 2016-07-08 03:54:06 UTC
Yes. Finally got LO working on my new installation!
I made the test on both Windows 10 - 64 bits and ArchLinux - 64 bits, both latest version of LO.
It seems that the problem is when the UI is mirrored (for a RTL language). I tried using the English layout with English & Arabic locales but the problem didn't occur.
Comment 5 safa alfulaij 2016-07-08 03:55:07 UTC
Created attachment 126116 [details]
Before tab ordering change
Comment 6 safa alfulaij 2016-07-08 03:55:23 UTC
Created attachment 126117 [details]
After tab ordering change
Comment 7 Buovjaga 2016-07-13 19:33:03 UTC
Ah, now I managed to get the 2 - 3 - 1 and 2 - 1 - 3 orderings. I get them when launching with SAL_RTL_ENABLED=1

Note for testers: make a sheet RTL by right clicking its tab and selecting from context menu.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: 046244bcfe1c5c1cd2325fe74b933c05e43cf190
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on July 7th 2016
Comment 8 Omer Zak 2017-11-14 09:08:35 UTC
I was not successful in reproducing the bug in:

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 9 Buovjaga 2017-11-14 09:20:48 UTC
(In reply to safa alfulaij from comment #0)
> 8. Select sheet2 again and notice tab ordering.

I still get the 2 - 1 - 3 after this step.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: d73225119476de1826f648acca9e93bf6797e813
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 12th 2017
Comment 10 Yousuf Philips (jay) (retired) 2017-11-14 11:12:02 UTC
Repo with arabic UI. This is a regression as it doesnt happen in 4.3 with the older sheet tab bar. CCing Tomaz as he introduced the new sheet tab bar in 4.4.[1]

إصدارة: 6.0.0.0.alpha1+
معرّف البناء: 4058d85963e371be657f531d8f30e31381a9ccab
خيوط المعالج: 2; نظام التَّشغيل: Linux 4.4; مصيّر الواجهة: المبدئيّ; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-11-05_22:37:16
المحليّة: en-US (en_US.UTF-8); Calc: group

[1] https://wiki.documentfoundation.org/ReleaseNotes/4.4#Tab_changes
Comment 11 Buovjaga 2018-07-11 14:24:30 UTC
Welp, bisecting with Linux 44max essentially confirmed the previous comment. GTK3 is fine, btw. I tested with the steps from scratch, using gen backend.

commit 9f19ab415bb7f4127185bc371470547d3342261c
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sun Mar 15 01:53:17 2015 +0800

    source-hash-1d1d1c62caf2ee6a96946e96d782e03f3ef80439
    
    commit 1d1d1c62caf2ee6a96946e96d782e03f3ef80439
    Author:     Tomaž Vajngerl <tomaz.vajngerl@collabora.com>
    AuthorDate: Mon Aug 25 18:20:58 2014 +0200
    Commit:     Tomaž Vajngerl <tomaz.vajngerl@collabora.com>
    CommitDate: Mon Aug 25 21:34:48 2014 +0200
    
        fdo#36772 Move the scrollbar and sheet tabs in a separate row.
Comment 12 QA Administrators 2019-07-12 02:51:59 UTC
Dear safa alfulaij,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug